Page MenuHomePhabricator

Automatic zoom and positioning doesn't work for geomasks
Closed, ResolvedPublic

Description

Automatic zoom and positioning no longer works when using a mapframe or maplink with "service": "geomask".

Example:

<mapframe width="400" height="400" align="center" text="Many geomasks.">
{
        "type": "ExternalData",
        "service": "geomask",
        "ids": "Q26835506,Q30919,Q1017201,Q979106,Q1030585,Q582899,Q24070750,Q24055697,Q571368,Q24069989,Q115553,Q115549,Q1638179,Q24067070,Q133642,Q32311,Q1309863,Q13080916,Q24050090,Q114395,Q11079799,Q2069208,Q1311882,Q2178230,Q660171,Q1818997,Q1094194,Q2299900,Q634933,Q1623372"
    }
</mapframe>

Event Timeline

Gareth created this task.Oct 17 2017, 11:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 17 2017, 11:29 AM

Testcase (specific link) welcome. Also see https://mediawiki.org/wiki/How_to_report_a_bug

@Pnorman is this something you can take a look at?

Based on the minimal description it's frontend. I'll be better able to say once the bug report has been expanded on.

debt added a comment.Oct 17 2017, 6:45 PM

Hey @Gareth - can you give us more details and specific links on how/where this is happening?

debt triaged this task as Medium priority.Oct 17 2017, 7:44 PM
debt added projects: Maps-Sprint, Discovery.
debt added subscribers: Evad37, Yurik.

Ah...I see the conversation now (where this ticket came from): https://en.wikipedia.org/w/index.php?title=Template_talk:Maplink&oldid=805751717

Basically, what is happening is that when some of the maplink urls are created, they display a map that is completely zoomed out and the user doesn't know where to look.

This is also tied to the ticket that was created/fixed to add in the ability to use a simple lat/lng or a single WD Qid: T178321.

Here's a few examples. So basically this affects all maps that are based on a geomask unless both a zoom level and coordinates are explicitly specified.

Just confirming that this is still a bug.

Pnorman lowered the priority of this task from Medium to Low.Jun 26 2018, 4:32 PM
Mholloway moved this task from Backlog to To-do on the Maps-Sprint board.Jul 3 2018, 4:59 PM
TheDJ added a subscriber: TheDJ.Jul 7 2018, 8:19 AM

Are we sure this is just with wikidata ids etc ? I see something like this with even a simple .map page

<mapframe width=300 height=300 zoom=17>
{
  "type": "ExternalData",
  "service": "page",
  "title": "Haarlem/Grote Kerk.map"
}
</mapframe>

Rendered on nl.wp, as if it is located in Algeria instead of in Utrecht, Netherlands

Evad37 added a comment.Jul 8 2018, 9:22 AM

@TheDJ That's a different problem specific to mapframe maps: T193455: <mapframe>: Automatic zoom and centering only works with interactive maps, not static maps. The problem with geomasks happens with both maplink and mapframe maps.

Change 579417 had a related patch set uploaded (by TheDJ; owner: TheDJ):
[mediawiki/extensions/Kartographer@master] Fix zoom of geomasks

https://gerrit.wikimedia.org/r/579417

TheDJ claimed this task.Mar 12 2020, 9:50 PM
TheDJ updated the task description. (Show Details)

Change 579417 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Fix zoom of geomasks

https://gerrit.wikimedia.org/r/579417

Jdforrester-WMF closed this task as Resolved.Mar 12 2020, 10:24 PM
Evad37 reopened this task as Open.Sat, Jun 20, 1:51 PM

The auto zoom/positioning is not currently working for the static map thumbnails on English Wikipedia, see e.g. User:Evad37/Sandbox/Mapframe test

Aklapper closed this task as Resolved.Sat, Jun 20, 1:59 PM

@Evad37: Thanks. Please file a new separate task for that problem, as the original topic in this issue was resolved several months ago.